/*
 * models.h
 *
 *
 * model variables
 *
 * by Korbinian Strimmer and Arndt von Haeseler (1995)
 * this file belongs to the Puzzle version 2.2 distribution
 *
 *
 * this file contains the declaration of variables that belong
 * to a specific model of sequence evolution
 *
 */


#ifdef PROT /* proteins */
  #define MODEL "Proteins"
  #define TPMRADIX 20
  #define CODELENGTH 1
  EXTERN int Poisn_optn;    /* JC/F model    */
  EXTERN int Dayhf_optn;    /* Dayhoff model */
  EXTERN int Jtt_optn;      /* JTT model     */
#endif

#ifdef NUC /* nucleotides */
  #define MODEL "Nucleotides"
  #define TPMRADIX 4
  #define CODELENGTH 1
  EXTERN double AlphaBeta;
  EXTERN double AlphaYR;
#endif
